Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.Xpo
Imports DevExpress.ExpressApp
Imports System.ComponentModel
Imports DevExpress.ExpressApp.DC
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.Base
Imports System.Collections.Generic
Imports DevExpress.ExpressApp.Model
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

'<ImageName("BO_Contact")> _
'<DefaultProperty("DisplayMemberNameForLookupEditorsOfThisType")> _
'<DefaultListViewOptions(MasterDetailMode.ListViewOnly, False, NewItemRowPosition.None)> _
'<Persistent("DatabaseTableName")> _
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class GLCardsRowsPCI ' Specify more UI options using a declarative approach (http://documentation.devexpress.com/#Xaf/CustomDocument2701).
    Inherits BaseObject ' Inherit from a different class to provide a custom primary key, concurrency and deletion behavior, etc. (http://documentation.devexpress.com/#Xaf/CustomDocument3146).
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place your initialization code here (http://documentation.devexpress.com/#Xaf/CustomDocument2834).
    End Sub

    Private _GLCardsHeader As GLCardsHeader
    Private _Customers As Customers
    Private _PartnerType As ePartnerType
    Private _ConnectInfo As String
    Private _BallanceHUF_Card_Debit As Double
    Private _BallanceHUF_Card_Credit As Double
    Private _BallanceHUF_Card As Double
    Private _BallanceHUF_PCI As Double
    Private _DifferentHUF As Double

    <Association("GLCardsHeader-GLCardsRowsPCI", GetType(GLCardsHeader))> _
    Property GLCardsHeader() As GLCardsHeader
        Get
            Return _GLCardsHeader
        End Get
        Set(ByVal value As GLCardsHeader)
            SetPropertyValue("GLCardsHeader", _GLCardsHeader, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property ConnectInfo As String
        Get
            Return _ConnectInfo
        End Get
        Set(value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property
    Property BallanceHUF_Card_Debit As Double
        Get
            Return _BallanceHUF_Card_Debit
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF_Card_Debit", _BallanceHUF_Card_Debit, value)
        End Set
    End Property
    Property BallanceHUF_Card_Credit As Double
        Get
            Return _BallanceHUF_Card_Credit
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF_Card_Credit", _BallanceHUF_Card_Credit, value)
        End Set
    End Property
    Property BallanceHUF_Card As Double
        Get
            Return _BallanceHUF_Card
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF_Card", _BallanceHUF_Card, value)
        End Set
    End Property
    Property BallanceHUF_PCI As Double
        Get
            Return _BallanceHUF_PCI
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF_PCI", _BallanceHUF_PCI, value)
        End Set
    End Property
    Property DifferentHUF As Double
        Get
            Return _DifferentHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DifferentHUF", _DifferentHUF, value)
        End Set
    End Property
    'Private _PersistentProperty As String
    '<XafDisplayName("My display name"), ToolTip("My hint message")> _
    '<ModelDefault("EditMask", "(000)-00"), Index(0), VisibleInListView(False)> _
    '<Persistent("DatabaseColumnName"), RuleRequiredField(DefaultContexts.Save)> _
    'Public Property PersistentProperty() As String
    '    Get
    '        Return _PersistentProperty
    '    End Get
    '    Set(ByVal value As String)
    '        SetPropertyValue("PersistentProperty", _PersistentProperty, value)
    '    End Set
    'End Property

    '<Action(Caption:="My UI Action", ConfirmationMessage:="Are you sure?", ImageName:="Attention", AutoCommit:=True)> _
    'Public Sub ActionMethod()
    '    ' Trigger a custom business logic for the current record in the UI (http://documentation.devexpress.com/#Xaf/CustomDocument2619).
    '    Me.PersistentProperty = "Paid"
    'End Sub
End Class
